package com.yiqi.crm.domain;

import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.common.core.domain.TreeEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信菜单管理对象 wx_menu
 *
 * @author ruoyi
 * @date 2023-08-04
 */
@Data
public class WxMenu extends BaseEntity{
    private static final long serialVersionUID=1L;

    /** 菜单编号 */
    private Long wxMenuId;

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String wxMenuName;

    /** 菜单类型 */
    @Excel(name = "菜单类型")
    private String wxMenuType;

    /** 关键词 */
    @Excel(name = "关键词")
    private String keyWords;

    /** 排序 */
    @Excel(name = "排序")
    private String sort;

    /** 状态 0启用  1未启用 */
    @Excel(name = "状态 0启用  1未启用")
    private String status;

    /** 扩展菜单 */
    @Excel(name = "扩展菜单")
    private String extendMenu;

    /** 图文外链网址 */
    @Excel(name = "图文外链网址")
    private String picTextUrl;

    /**
     * 父菜单ID
     */
    private Long parentId;


    @Override
    public String toString(){
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wxMenuId",getWxMenuId())
                .append("wxMenuName",getWxMenuName())
                .append("wxMenuType",getWxMenuType())
                .append("parentId",getParentId())
                .append("keyWords",getKeyWords())
                .append("sort",getSort())
                .append("status",getStatus())
                .append("extendMenu",getExtendMenu())
                .append("picTextUrl",getPicTextUrl())
                .append("createById",getCreateById())
                .append("createBy",getCreateBy())
                .append("createTime",getCreateTime())
                .append("updateById",getUpdateById())
                .append("updateBy",getUpdateBy())
                .append("updateTime",getUpdateTime())
                .toString();
    }
}

